# Add On Types

Add On Types

 - [GET /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/listaddontypes.md): This method will scan all add on types and and return them to the caller.
 - [POST /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/createaddontype.md): This method will auto-generate an ID and create a new add on type. If an ID is specified for the add on type, an error will be thrown.
 - [POST /addOnTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/deleteaddontype.md): This method will delete a add on type with the specified ID.
 - [GET /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/getaddontype.md): This method will look up a add on type by the specified ID and return it back.
 - [PATCH /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/patchaddontype.md): This method will patch an existing add on type with the specified ID, using the HTTP PATCH specification.
 - [PUT /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/updateaddontype.md): This method will update an existing add on type with the specified ID.
